'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _kendoBaseComponentsVueWrapper = require('@progress/kendo-base-components-vue-wrapper');

var _MapProps = require('./MapProps');

var _MapProps2 = _interopRequireDefault(_MapProps);

var _KendoMapMarker = require('../KendoMapMarker');

var _KendoMapMarker2 = _interopRequireDefault(_KendoMapMarker);

var _KendoMapLayer = require('../KendoMapLayer');

var _KendoMapLayer2 = _interopRequireDefault(_KendoMapLayer);

var _Controls = require('./Controls');

var _Controls2 = _interopRequireDefault(_Controls);

var _LayerDefaults = require('./LayerDefaults');

var _LayerDefaults2 = _interopRequireDefault(_LayerDefaults);

var _MarkerDefaults = require('./MarkerDefaults');

var _MarkerDefaults2 = _interopRequireDefault(_MarkerDefaults);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

exports.default = {
    props: _MapProps2.default,
    emits: {
        'kendowidgetready': null
    },
    mixins: [_kendoBaseComponentsVueWrapper.KendoBaseComponent, _Controls2.default, _LayerDefaults2.default, _MarkerDefaults2.default],
    mounted: function mounted() {
        this._resolveChildren();

        kendo.jQuery(this.$el).kendoMap(this.widgetOptions);

        if (this.v3) {
            this.ready();
            this.$emit('kendowidgetready', this.kendoWidget());
        } else {
            this.$emit('kendowidgetready', this.kendoWidget());
        }
    },

    methods: {
        kendoWidget: function kendoWidget() {
            return kendo.jQuery(this.$el).getKendoMap();
        },
        _resolveChildren: function _resolveChildren() {
            this.resolveChildren('markers', _KendoMapMarker2.default.name);
            this.resolveChildren('layers', _KendoMapLayer2.default.name);
        }
    }
};